RangeLimitBox Class Reference

A checkable DoubleSpinBox that can be used to select the limits of a double interval. More...

`#include <DoubleSpinBox.h>`

Inheritance diagram for RangeLimitBox:

## Public Types

enum | LimitType { LeftLimit, RightLimit }

## Public Member Functions

bool | isChecked ()
| RangeLimitBox (LimitType type, QWidget *parent=0)
void | setDecimals (int prec)
double | value ()

## Private Attributes

QCheckBox * | d_checkbox
DoubleSpinBox * | d_spin_box
LimitType | d_type

## Detailed Description

A checkable DoubleSpinBox that can be used to select the limits of a double interval.

## Member Enumeration Documentation

## LimitType

enum RangeLimitBox::LimitType

Enumerator
LeftLimit |
RightLimit |

## Constructor & Destructor Documentation

## RangeLimitBox()

RangeLimitBox::RangeLimitBox | ( | LimitType | type,
|  | QWidget * | parent = `0`
| ) |  |

References d_checkbox, d_spin_box, and DoubleSpinBox::setValue().

## Member Function Documentation

## isChecked()

bool RangeLimitBox::isChecked | ( |  | ) |

inline

## setDecimals()

void RangeLimitBox::setDecimals | ( | int | prec | ) |

inline

References DoubleSpinBox::value().

Referenced by FitDialog::showFitPage().

## value()

double RangeLimitBox::value | ( |  | ) |

References d_checkbox, d_spin_box, d_type, RightLimit, and DoubleSpinBox::value().

## Member Data Documentation

## d_checkbox

QCheckBox* RangeLimitBox::d_checkbox

private

Referenced by RangeLimitBox(), and value().

## d_spin_box

DoubleSpinBox* RangeLimitBox::d_spin_box

private

Referenced by RangeLimitBox(), and value().

## d_type

LimitType RangeLimitBox::d_type

private

Referenced by value().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/DoubleSpinBox.h
- qtiplot/src/lib/src/DoubleSpinBox.cpp